Loading...
Searching...
No Matches
etl::sqrt< Value, Root > Struct Template Reference

`#include <sqrt.h>`

## Public Types

enum | { value = type::value }
typedef etl::conditional<((Root *Root)>Value), etl::constant< intmax_t, static_cast< intmax_t >(Root-1)>, etl::sqrt< Value, Root+1 > >::type | type

## Detailed Description

template<size_t Value, size_t Root = 1>
struct etl::sqrt< Value, Root >

Calculates the smallest value that, when squared, will be not greater than Value.

The documentation for this struct was generated from the following file:

- include/etl/sqrt.h